import request from '@/utils/request'
import download from '@/utils/request';


// 获取员工列表
export function getUserList() {
  return request({
    url: '/knowledge/doMonitor/getPeoPleList',
    method: 'get',
    data: {}
  })
}
// 获取员工列表
export function delExpertById(param) {
  return request({
    url: '/knowledge/expert/deleteById',
    method: 'post',
    params: param
  })
}


export function findOne(query) {
  return request({
    url: '/knowledge/doMonitor/findOne',
    method: 'get',
    params: query
  })
}
export function findAll(query) {
  return request({
    url: '/knowledge/expert/findAll',
    method: 'post',
    data: query
  })
}
export function tagFindList(query) {
  return request({
    url: '/knowledge/system/expertMaintenance/findAll',
    method: 'get',
    params: query
  })
}

export function creExpert(query) {
  return request({
    url: '/knowledge/expert/creExpert',
    method: 'post',
    data: query
  })
}

export function save(query) {
  return request({
    url: '/knowledge/expert/import',
    method: 'post',
    data: query
  })
}




export function exportData(url, params, filename, config) {
  return download({
    url:url,
    params:null,
    filename:filename,
    config:null

  })
}

export function getDetail(query) {
  return request({
    url: '/knowledge/expert/findOne',
    method: 'get',
    params: query
  })
}

